Imported upstream 1.2.8
authorLuk Claes <luk@debian.org>
Fri, 10 May 2013 08:01:25 +0000 (10:01 +0200)
committerLuk Claes <luk@debian.org>
Fri, 10 May 2013 08:01:25 +0000 (10:01 +0200)
1  2 
configure.ac

diff --cc configure.ac
@@@ -269,25 -270,24 +270,25 @@@ if test "$enable_nfsv4" = yes; the
    dnl Check for sqlite3
    AC_SQLITE3_VERS
  
-   if test "$enable_nfsdcld" = "yes"; then
+   if test "$enable_nfsdcltrack" = "yes"; then
        AC_CHECK_HEADERS([libgen.h sys/inotify.h], ,
-               AC_MSG_ERROR([Cannot find header needed for nfsdcld]))
-       if test "$libsqlite3_cv_is_recent" != "yes" ; then
-               AC_MSG_ERROR([nfsdcld requires sqlite3])
-       fi
+               AC_MSG_ERROR([Cannot find header needed for nfsdcltrack]))
+     case $libsqlite3_cv_is_recent in
+     yes) ;;
+     unknown)
+       dnl do not fail when cross-compiling
+       AC_MSG_WARN([assuming sqlite is at least v3.3]) ;;
+     *)
+       AC_MSG_ERROR([nfsdcltrack requires sqlite-devel]) ;;
+     esac
    fi
  
-   AM_CONDITIONAL(CONFIG_NFSDCLD, [test "$enable_nfsdcld" = "yes" ])
-   dnl librpcsecgss already has a dependency on libgssapi,
-   dnl but we need to make sure we get the right version
-   if test "$enable_gss" = yes; then
-     AC_RPCSEC_VERSION
-   fi
+ else
+   enable_nfsdcltrack="no"
  fi
  
 +
  if test "$enable_nfsv41" = yes; then
    AC_CHECK_LIB([devmapper], [dm_task_create], [LIBDEVMAPPER="-ldevmapper"], AC_MSG_ERROR([libdevmapper needed]))
    AC_CHECK_HEADER(libdevmapper.h, , AC_MSG_ERROR([Cannot find devmapper header file libdevmapper.h]))